it.csi.mddtools.guigen

## Interface CommandWidget

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Widget
  All Known Subinterfaces:
    Button, ConfirmButton, MenuView, ResetButton, TabSwitcher

      public interface CommandWidget
      extends Widget

  A representation of the model object 'Command Widget'. Classe astratta di widget con funzione di comando (es pulsanti)

  The following features are supported:

  - `Function Specifier`
  See Also:
    `GuigenPackage.getCommandWidget()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandFunctions` | `getFunctionSpecifier()` Returns the value of the 'Function Specifier' attribute.
    `void` | `setFunctionSpecifier(CommandFunctions value)` Sets the value of the '`Function Specifier`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getFunctionSpecifier

          CommandFunctions getFunctionSpecifier()

      Returns the value of the 'Function Specifier' attribute. The default value is `"0"`. The literals are from the enumeration `CommandFunctions`.

      If the meaning of the 'Function Specifier' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Function Specifier' attribute.
      See Also:
        `CommandFunctions`, `setFunctionSpecifier(CommandFunctions)`, `GuigenPackage.getCommandWidget_FunctionSpecifier()`

    - #### setFunctionSpecifier

          void setFunctionSpecifier(CommandFunctions value)

      Sets the value of the '`Function Specifier`' attribute.
      Parameters:
        `value` - the new value of the 'Function Specifier' attribute.
      See Also:
        `CommandFunctions`, `getFunctionSpecifier()`